/**
 * Provides a global error handler to report errors..
 */
import { ReactotronCore } from "reactotron-core-client";
export interface ErrorStackFrame {
    fileName: string;
    functionName: string;
    lineNumber: number;
    columnNumber?: number | null;
}
export interface TrackGlobalErrorsOptions {
    veto?: (frame: ErrorStackFrame) => boolean;
}
/**
 * Track global errors and send them to Reactotron logger.
 */
declare const trackGlobalErrors: (options?: TrackGlobalErrorsOptions) => (reactotron: ReactotronCore) => {
    onConnect: () => void;
    features: {
        reportError: (error: ExtendedExceptionData) => void;
    };
};
export default trackGlobalErrors;
